# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cc_new_unique - Create a new credential cache of the specified type with a unique name.

krb5_error_code krb5_cc_new_unique(krb5_context context, const char *type, const char *hint, krb5_ccache *id)

param

  [in] context - Library context

  [in] type - Credential cache type name

  [in] hint - Unused

  [out] id - Credential cache handle

retval

  - 0 Success

return

  - Kerberos error codes